Name:           joda-convert
Version:        1.2
Release:        %mkrel 6
Summary:        Java library for conversion to and from standard string formats

Group:          Development/Java
License:        ASL 2.0 

URL:            https://github.com/JodaOrg/joda-convert/
# wget -O joda-convert-1.2.tar.gz https://github.com/JodaOrg/joda-convert/tarball/v1.2
Source0:        joda-convert-1.2.tar.gz

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-changes-plugin
BuildRequires:  maven-project-info-reports-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  junit4
BuildRequires:  dos2unix

Requires:       jpackage-utils
Requires:       java

%description
Java library to enable conversion to and from standard string formats.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n JodaOrg-joda-convert-c6eb10b

%build
mvn-rpmbuild install javadoc:javadoc
for x in LICENSE.txt NOTICE.txt RELEASE-NOTES.txt; do
    dos2unix $x
done

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar


%files
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}



%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.2-6.mga4
+ Revision: 559948
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-4.mga3
+ Revision: 355509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.2-3.mga3
+ Revision: 325933
- imported package joda-convert


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 17 2011 Andy Grimm <agrimm@gmail.com> - 1.2-1
- update to 1.2 and pull source tarball correctly

* Tue Oct 18 2011 Andy Grimm <agrimm@gmail.com> - 1.1-1
- Initial package
